{% extends "mentorski_sustav/base.html" %}
{% load crispy_forms_tags %}
{% block content %}

{% for key, value, stud in test %}  
              {% if user.is_staff %}
                   {% ifchanged object.id  %}
                      <article class="media content-section">
                        <div class="media-body">
                          <div class="article-metadata">            
                            <p class="mr-2" font-family="Copperplaten" style="text-align:right" href="#"> <i>{{ object.kod }}</i>
                            <small class="text-muted"> </small></p>
                          </div>
                          <h2 class="article-title"> {{ object.ime }} </h2>
                            {% if user.is_staff %}
                             <a class="btn btn-primary btn-sm mt-1 mb-1" href="{% url 'mentorski-predmeti_update' object.id %}"> Urediti </a>
                             <a class="btn btn-danger btn-sm mt-1 mb-1" href="{% url 'mentorski-predmeti_delete' object.id %}"> Izbrisati </a>
                             {% endif %}                           
                             <br>
                          <small class="article-content"><strong> Kod predmeta: </strong>{{ object.kod }} </small>
                           <br>            
                          <small class="article-content"><strong> Bodovi: </strong>{{ object.bodovi }}</small>
                           <br>
                          <small class="article-content"><strong> Predmet: </strong> {{ object.program }} </small>
                           <br>
                          <small class="article-content"><strong> Izborni predmet: </strong> {{ object.izborni }} </small>      
                       </div>
                      </article> 
                  {% endifchanged %}
                  {% endif %}
 {% if user.is_active and  user.role == 'Student' %}
    {% ifchanged object.id %}
        <article class="media content-section">
          <div class="media-body">
            <div class="article-metadata">            
              <p class="mr-2" font-family="Copperplaten" style="text-align:right" href="#"> <i>{{ object.kod }}</i>
              <small class="text-muted"> </small></p>
            </div>
                   <h2 class="article-title"> {{ object.ime }} </h2>
            <small class="article-content"><strong> Kod predmeta: </strong>{{ object.kod }} </small>
             <br>            
            <small class="article-content"><strong> Bodovi: </strong>{{ object.bodovi }}</small>
             <br>
            <small class="article-content"><strong> Predmet: </strong> {{ object.program }} </small>
             <br>
            <small class="article-content"><strong> Izborni predmet: </strong> {{ object.izborni }} </small> 
             <br>
            <small class="article-content"><strong> Semestar: </strong> {{ object.sem_izvanredni }} </small>     
         </div>
        </article> 
   {% endifchanged %}
  {% endif %}
  
                           
     {% if key == object.id and stud == user.id and user.is_active %}
     <article class="media content-section">
                        <div class="media-body">
      <div class="article-metadata">  
         {% if value == "nepolozen" %}
             <small class="article-content">Trenutni status predmeta: <strong style="color:red;">  {{ value }} </strong> </small>
         {% elif value == "polozen" %}
            <small class="article-content">Trenutni status predmeta: <strong style="color:#33cc33;">  {{ value }} </strong> </small>
         {% endif %}
       <br>  
       </div>
       <div class="article-metadata">  
       <small class="article-content">  Ispiši se s odabranog predmeta: </small><a class="btn btn-warning btn-sm mt-1 mb-1" href="{% url 'mentorski-predmeti_ispis' object.id %}"> Ispis </a>
          <br>
       <small class="article-content">  Promijeni status odabranog predmeta: </small><a class="btn btn-info btn-sm mt-1 mb-1" href="{% url 'mentorski-predmeti_status' object.id %}"> Status </a>
       </div>
         </div>
                      </article> 
      {% endif %}
  {% endfor %}
 <button class="btn btn-outline-info" onclick="goBack()"> Natrag </button>   
{% endblock content %}